# Cooking Functions

# This file can be sourced
# source(Cooking_Function_Collection.R)

## Converter C > F ----

C2F <- function(celsius) {
  # Usage: C2F(70)
  return(9 / 5 * celsius + 32)
}

## Converter F > C ----
F2C <- function(fahrenheit) {
  # Usage: C2F(70)
  return((fahrenheit - 32) * 5 / 9)
}

## Multiple-Choice Cooking-Function
## with Usage and Help

cook <- function(x, name = NULL) {
  if (is.null(name)) {
    cat("Usage: cook(<Value>, \"Option\")
        Options:
        - c2f: Celsius to Fahrenheit
        - f2c: Fahrenheit to Celsius
        - k2p: Kilogram to Pound
        - p2k: Pound to Kilogram")
  } else if (name == "c2f") {
    y <- (9 / 5 * x + 32)
    return(cat(x, "C is", y, "F"))
  } else if (name == "f2c") {
    y <- ((x - 32) * 5 / 9)
    return(cat(x, "F is", y, "C"))
  } else if (name == "k2p") {
    y <- round(x / 0.45359237, 3)
    return(cat(x, "kg is", y, "lb"))
  } else if (name == "p2k") {
    y <- round(x * 0.45359237, 3)
    return(cat(x, "lb is", y, "kg"))
  } else {
    return(cat("This option is not yet available!\n"))
  }
}

## Archive ----

# ## Multiple-Choice Converter -- Archive
# cook <- function(x = NULL, option = "f2c") {
#   if (is.null(x)) {
#     cat("Missing value")
#   } else {
#     switch(
#       option,
#       f2c = ((x - 32) * 5 / 9),
#       c2f = (9 / 5 * x + 32),
#       k2p = x / 0.45359237,
#       p2k = x * 0.45359237
#     )
#   }
# }

# ## Multiple-Choice Converter -- Archive
# 
# cook <- function(x = NULL, option = "f2c") {
#   if (is.null(x)) {
#     cat("Missing value")
#   } else {
#     switch(
#       option,
#       # Temperatur
#       f2c = ((x - 32) * 5 / 9),
#       c2f = (9 / 5 * x + 32),
#       # Weight
#       k2p = round(x / 0.45359237, 3),
#       p2k = round(x * 0.45359237, 3)
#     )
#   }
# }
# 